Subject: Re: [PATCH 17/19] transport-helper: export is no longer always the last command

From: Jonathan Nieder <[email-masked]>
Date: Thu, 9 Jun 2011 02:51:41 -0500

Sverre Rabbelier wrote:
> On Thu, Jun 9, 2011 at 03:07, Junio C Hamano <[email-masked]> wrote:

>> Could you clarify the logic, perhaps by commenting a bit more where this
>> field is examined and code changes its behaviour in disconnect_helper()?
>
> Previously this bit had to be set, so that we didn't try to write the
> trailing \n on a closed socket. Now, the socket is no longer closed,
> so we can send the trailing \n again. Does that make sense?

Yes, but I'm still missing something.  What does the trailing \n ever
have to be written?

"git log -Sdisconnect_helper -- transport-helper.c" doesn't give many
clues.  I imagine it's a way to check whether the child is still alive
and to warn it not to be alarmed when the output end of its input pipe
closes.